Summary:	A Chess Engine
Name:		phalanx
Version:	22
Release:	%mkrel 16
License:	GPL
Group:		Games/Boards
URL:		http://dusan.freeshell.org/phalanx/
Source0:	http://dusan.freeshell.org/phalanx/%{name}-%{version}.tar.bz2
Source1:	sbook.phalanx.bz2
Source2:	learn.phalanx.bz2
Source3:	phalanx.sh.bz2
Patch0:		phalanx-22.build.patch
Patch1:         phalanx-22-mga-fix-format-security-error.patch

# TODO: either exclusivearch or regen opening books.
#       phalanx opening books are big/little endian sensitive

%description
Phalanx is a chess engine. It contains a text interface for playing
chess. Though it does not have any graphical interface, one can use
it inside some GUI chess interface such as Xboard or CSBoard,
serving as a chess engine.


%prep
%setup -q -n Phalanx-XXII
%patch0 -p1 -b .newgcc
%patch1 -p0

mv sbook.phalanx sbook.phalanx.bak
bzip2 -dc %{SOURCE1} > sbook.phalanx
bzip2 -dc %{SOURCE2} > learn.phalanx
bzip2 -dc %{SOURCE3} > phalanx.sh

%build
%make_build	CFLAGS='%optflags -ffast-math' \
		DEFINES='-DGNUFUN -DPBOOK_DIR=\"%{_gamesdatadir}/%{name}\" -DSBOOK_DIR=\"%{_gamesdatadir}/%{name}\" -DECO_DIR=\"%{_gamesdatadir}/%{name}\"'

%install

install -D -m 755 phalanx %{buildroot}%{_gamesbindir}/phalanx.real
install -D -m 755 phalanx.sh %{buildroot}%{_gamesbindir}/phalanx

# install opening books
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
install -m 644 eco.phalanx pbook.phalanx sbook.phalanx learn.phalanx %{buildroot}%{_gamesdatadir}/%{name}/

%files
%doc HISTORY README
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 22-16.mga9
+ Revision: 1792247
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 22-15.mga8
+ Revision: 1515924
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 22-14.mga7
+ Revision: 1300199
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Fri Jan 29 2016 umeabot <umeabot> 22-13.mga6
+ Revision: 928818
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 22-12.mga5
+ Revision: 751080
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 22-11.mga5
+ Revision: 687076
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 22-10.mga4
+ Revision: 516455
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 22-9.mga3
+ Revision: 375646
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 22-8.mga3
+ Revision: 324677
- clean .spec

* Wed Jul 25 2012 kamil <kamil> 22-7.mga3
+ Revision: 274337
- adapt for Mageia
- keep unpacked P0
- new P1: mga-fix-format-security-error.patch
- imported package phalanx


* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 22-6mdv2009.0
+ Revision: 258964
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 22-5mdv2009.0
+ Revision: 246856
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 22-3mdv2008.1
+ Revision: 124169
- kill re-definition of %%buildroot on Pixel's request
- import phalanx


* Tue Jul 19 2005 Abel Cheung <deaddog@mandriva.org> 22-3mdk
- Fix startup script

* Fri Jun 10 2005 Abel Cheung <deaddog@mandriva.org> 22-2mdk
- Rebuild
- Use large opening book

* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 22-1mdk
- First Mandrake package
- P0: Build fix with newer gcc (source code is 4 yrs old)
- Use big secondary opening book and learning book from website
- ( Wish if I can put the 30MB huge opening book here :-> )
